unit U_form;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, ExtCtrls, U_Turtle, Spin;

type
  TForm1 = class(TForm)
    PaintBox1: TPaintBox;
    Button1: TButton;
    Label1: TLabel;
    Edit1: TEdit;
    SpE_Winkel: TSpinEdit;
    Label2: TLabel;
    procedure Button1Click(Sender: TObject);
  private
    { Private-Deklarationen }
    t: TTurtle;
    procedure Pythbaum(N: integer; Sl: real; alpha: real);
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Pythbaum(N: integer; Sl: real; alpha: real);
begin
  if n>0
  then begin
    t.vw(sl);
    t.dl(90);
    t.vw(sl);
    t.rw(sl);
    t.dr(180-alpha);
    Pythbaum(n-1,sl*sin(alpha/360*2*pi),alpha);
    t.dl(90);
    t.vw(sl*sin(alpha/360*2*pi));

    Pythbaum(n-1,sl*cos(alpha/360*2*pi),alpha);
    t.dl(90);
    t.vw(sl*cos(alpha/360*2*pi));
    t.dl(90-alpha);
    t.vw(sl);
    t.dl(90);
    t.vw(sl);
    t.dl(90);
  end;

end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  t:= TTurtle.Create(PaintBox1);
  t.Unten;
  Pythbaum(StrToInt(Edit1.Text), 40, SpE_Winkel.Value);
end;

end.
